Skip to content

Get data resource details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the document description is incorrect, please refer to V3 API.

Get data resources, query the corresponding data resource information through the data resource ID, including data resource name, data resource Code, data resource type (TREE, STRING, ARRAY), data resource permission space ID, data resource permission space Code, and data resource operation list and other basic information.

Method name

ManagementClient.getDataResource

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
namespaceCodestringYes-Permission space Code to which the data resource belongsexamplePermissionNamespace
resourceCodestringYes-Data resource Code, unique in the permission spacedataResourceTestCode

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getDataResource({
    namespaceCode: "examplePermissionNamespace",
    resourceCode: "resourceCode",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: GetDataResourceResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. This is returned when the request fails.
data<a GetDataResourceRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "resourceName": "Sample data resource name",
    "resourceCode": "dataResourceTestCode",
    "type": "TREE",
    "description": "Sample data resource description",
    "namespaceCode": "code1",
    "actions": "[\"read\",\"get\"]"
  }
}

Data structure

GetDataResourceRespDto

NameTypeIs it required?DescriptionSample value
resourceNamestringYesData resource name, unique in the permission spaceSample data resource name
resourceCodestringyesData resource Code, unique in the permission spacedataResourceTestCode
typestringyesData resource type, currently supports tree structure (TREE), string (STRING), array (ARRAY)TREE
descriptionstringnoData resource descriptionSample data resource description
structyesData resource structure, supports string (STRING), tree structure (TREE) and array structure (ARRAY).
namespaceCodestringyesPermission space Code where the data policy is locatedcode1
actionsarrayyesData resource permission operation list Array length limit: 50.["read","get"]

Agent infrastructure for identity, memory, and web action.